from bayesrl.environments import ChainWorld

# Define environment.
N = 5
task = ChainWorld(N, N - 1, N, 2*N - 1, -1, 0)

discount_factor = 0.95
q, v = task.solve_optimal_value_function(discount_factor)

print("q function is:")
print(q, '\n')

print("v function is:")
print(v, '\n')
